List API tokens
GET
/api/v1/api-token
const url = 'https://example.com/api/v1/api-token?page=1&perPage=30';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/api-token?page=1&perPage=30'Retrieves a paginated list of API tokens with optional filtering and sorting
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” page
integer
perPage
integer
sort
string
filter
string
expand
string
Responses
Section titled “ Responses ”Success
Media type application/json
object
page
integer
perPage
integer
totalItems
integer
totalPages
integer
items
Array<object>
object
id
required
Token ID (15 chars)
string
name
required
Token name
string
user
required
User ID that owns this token
string
expiration
Optional expiration date
string format: date-time
created
string format: date-time
updated
string format: date-time
Example generated
{ "page": 1, "perPage": 1, "totalItems": 1, "totalPages": 1, "items": [ { "id": "example", "name": "example", "user": "example", "expiration": "2026-04-15T12:00:00Z", "created": "2026-04-15T12:00:00Z", "updated": "2026-04-15T12:00:00Z" } ]}Bad Request
Internal Server Error